Bug 568701 - (CVE-2010-0429) CVE-2010-0429 libspice: Relying on guest provided data structures to indicate memory allocation
CVE-2010-0429 libspice: Relying on guest provided data structures to indicate...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20100819,reported=20100223,sou...
: Security
Depends On: 568723 568724 568725 568736 568811 833975
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-26 07:11 EST by Petr Matousek
Modified: 2016-04-26 23:33 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-04 09:09:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2010-02-26 07:11:59 EST
Izik Eidus found a bug in QEMU that allows priviledged guest user
to force QEMU process on the host to issue free() and/or malloc() calls at
addresses controlled by the guest user. The bug is in QXL/libspice code.
Comment 5 errata-xmlrpc 2010-08-19 17:26:07 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0633 https://rhn.redhat.com/errata/RHSA-2010-0633.html
Comment 6 errata-xmlrpc 2010-08-19 17:45:31 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Virtualization for RHEL-5

Via RHSA-2010:0622 https://rhn.redhat.com/errata/RHSA-2010-0622.html

Note You need to log in before you can comment on or make changes to this bug.